# AIConfigItem Struct Reference

## Data Fields
const char * | name
| The name of the configuration setting.
const char * | description
| The description of the configuration setting.
int | min_value
| The minimal value this configuration setting can have.
int | max_value
| The maximal value this configuration setting can have.
int | custom_value
| The default value on custom difficulty setting.
int | easy_value
| The default value on easy difficulty setting.
int | medium_value
| The default value on medium difficulty setting.
int | hard_value
| The default value on hard difficulty setting.
int | random_deviation
| The maximum random deviation from the default value.
int | step_size
| The step size in the gui.
AIConfigFlags | flags
| Flags for the configuration setting.
LabelMapping * | labels
| Text labels for the integer values.

## Detailed Description

Definition at line 30 of file ai_info.hpp.

The documentation for this struct was generated from the following file:

- src/ai/ai_info.hpp